Subject: Software helps optimize manufacturing predictability.

From: "Joe" <[email-masked]>
Date: Wed, 20 Jun 2007 02:21:22 +0200

And through the extremely large aperture angle of the optics the device
projects amazingly long lines on to the wall, making it ideal for
transferring reference points on to nearby walls or ceilings.
http://grsoil.hk/